Summary:	Displays menus for MATE Desktop
Summary(pl.UTF-8):	Wyświetlanie menu w środowisku MATE Desktop
Name:		mate-menus
Version:	1.12.0
Release:	1
# only (unpackaged) python example is GPL
License:	LGPL v2+
Group:		X11/Applications
Source0:	http://pub.mate-desktop.org/releases/1.12/%{name}-%{version}.tar.xz
# Source0-md5:	bbfb8f2abb9c4abdb39cd0bfebf4f3e6
Patch0:		xdg-menu-prefix-compat.patch
URL:		http://wiki.mate-desktop.org/mate-menus
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	gobject-introspection-devel >= 0.6.7
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool >= 1:1.4.3
BuildRequires:	mate-common >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	rpm-pythonprov
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Displays menus for MATE Desktop.

%description -l pl.UTF-8
Wyświetlanie menu w środowisku MATE Desktop.

%package libs
Summary:	Shared libmate-menu library
Summary(pl.UTF-8):	Biblioteka współdzielona libmate-menu
Group:		Libraries
Requires:	glib2 >= 1:2.36.0

%description libs
Shared libmate-menu library.

%description libs -l pl.UTF-8
Biblioteka współdzielona libmate-menu.

%package devel
Summary:	Development files for libmate-menu library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki libmate-menu
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.36.0

%description devel
Development files for libmate-menu library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki libmate-menu.

%package -n python-matemenu
Summary:	Python binding for mate-menus library
Summary(pl.UTF-8):	Wiązanie Pythona do biblioteki mate-menus
Group:		Libraries/Python
Requires:	%{name}-libs = %{version}-%{release}

%description -n python-matemenu
Python binding for mate-menus library.

%description -n python-matemenu -l pl.UTF-8
Wiązanie Pythona do biblioteki mate-menus.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-introspection \
	--enable-python \
	--disable-silent-rules \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmate-menu.la
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/matemenu.la
# just example
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/mate-menus/examples
# empty dir
rmdir $RPM_BUILD_ROOT%{_datadir}/mate-menus
# not supported by glibc
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{gn,io,ku_IQ}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%{_sysconfdir}/xdg/menus/mate-applications.menu
%{_sysconfdir}/xdg/menus/mate-settings.menu
%{_datadir}/mate/desktop-directories

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmate-menu.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmate-menu.so.2
%{_libdir}/girepository-1.0/MateMenu-2.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmate-menu.so
%{_datadir}/gir-1.0/MateMenu-2.0.gir
%{_includedir}/mate-menus
%{_pkgconfigdir}/libmate-menu.pc

%files -n python-matemenu
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/matemenu.so
%changelog
* Sat Nov 07 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-menus.git;a=log;h=master

* Sat Nov 07 2015 Jakub Bogusz <qboosh@pld-linux.org> 2494528
- BR: pkgconfig

* Thu Nov 05 2015 Jan Palus <atler@pld-linux.org> 0bdded0
- up to 1.12.0

* Mon May 18 2015 Jakub Bogusz <qboosh@pld-linux.org> d52f11b
- drop ku_IQ locale for now; release 2

* Thu Apr 23 2015 Jakub Bogusz <qboosh@pld-linux.org> 75c11ee
- updated to 1.10.0 (1.8.x left on MATE-1.8 branch)

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> c2c8bb3
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> cd5bec0
- updated gettext BR

* Tue Jul 08 2014 Jakub Bogusz <qboosh@pld-linux.org> 2df9e89
- cmn locale is supported now
- added python epoch

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> 252ea2b
- up to 1.8.0

* Sun Jan 05 2014 Jakub Bogusz <qboosh@pld-linux.org> bcf3d77
- release 2

* Sat Dec 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 99b9736
- pl, cleanup, separated python binding

* Thu Apr 04 2013 Elan Ruusamäe <glen@delfi.ee> 618bdca
- up to 1.6.0

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> da3d80f
- BR: rpm-pythonprov, by cleanbuild

* Wed Jan 16 2013 Elan Ruusamäe <glen@delfi.ee> ea38655
- handle XDG_MENU_PREFIX, like it was in GNOME2/GNOME3

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> 9ae808b
- force system libtool, weird syntax errors otherwise

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> c9b505a
- more specific url, BR update

* Sat Dec 22 2012 Elan Ruusamäe <glen@delfi.ee> dc8a7a5
- run autogen in build section

* Sat Dec 22 2012 Elan Ruusamäe <glen@delfi.ee> e7d8da2
- new, version 1.5.0

